package quimufu.colourful_portals;

import dev.onyxstudios.cca.api.v3.component.ComponentKey;
import dev.onyxstudios.cca.api.v3.component.ComponentRegistry;
import dev.onyxstudios.cca.api.v3.level.LevelComponentFactoryRegistry;
import dev.onyxstudios.cca.api.v3.level.LevelComponentInitializer;
import net.minecraft.util.Identifier;
import quimufu.colourful_portals.portal.PortalListComponent;

public class Components implements LevelComponentInitializer {
    public static final ComponentKey<PortalListComponent> PORTAL_LIST =
            ComponentRegistry.getOrCreate(new Identifier(ColourfulPortalsMod.MOD_ID, "portal_list"), PortalListComponent.class);
    public static final ComponentKey<PortalListComponent> PORTAL_CANDIDATE_LIST =
            ComponentRegistry.getOrCreate(new Identifier(ColourfulPortalsMod.MOD_ID, "portal_candidate_list"), PortalListComponent.class);

    @Override
    public void registerLevelComponentFactories(LevelComponentFactoryRegistry registry) {
        registry.register(PORTAL_LIST, PortalListComponent::new);
        registry.register(PORTAL_CANDIDATE_LIST, PortalListComponent::new);

    }
}
